Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.util
Class TableFormat

    java.lang.Object
      umontreal.iro.lecuyer.util.TableFormat

    public class TableFormat

extends Object

This class provides methods to format arrays and matrices into `String`s in different styles. This could be useful for printing arrays and subarrays, or for putting them in files for further treatment by other softwares such as Mathematica, Matlab, etc.

Field Summary
`static int` | `MATHEMATICA` Mathematica matrix printing style
`static int` | `MATLAB` Matlab matrix printing style
`static int` | `PLAIN` Plain text matrix printing style

Method Summary
`static String` | `format(double[][] Mat, int i1, int i2, int j1, int j2, int w, int p, int style, String Name)` Formats the submatrix with lines `i1` <= i <= `i2` and columns `j1` <= j <= `j2` of the matrix `Mat`, using the formatting style `style`.
`static String` | `format(double[] V, int n1, int n2, int k, int p1, int p2, int p3)` Similar to the previous method, but for an array of `double`'s.
`static String` | `format(int[][] Mat, int i1, int i2, int j1, int j2, int w, int p, int style, String Name)` Formats a submatrix of integers.
`static String` | `format(int[] V, int n1, int n2, int k, int p)` Formats a `String` containing the elements `n1` to `n2` (inclusive) of table `V`, `k` elements per line, `p` positions per element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLAIN

    public static final int PLAIN

  Plain text matrix printing style

  See Also:
    Constant Field Values

### MATHEMATICA

    public static final int MATHEMATICA

  Mathematica matrix printing style

  See Also:
    Constant Field Values

### MATLAB

    public static final int MATLAB

  Matlab matrix printing style

  See Also:
    Constant Field Values

Method Detail

### format

    public static String format(int[] V,
                                int n1,
                                int n2,
                                int k,
                                int p)

  Formats a `String` containing the elements `n1` to `n2` (inclusive) of table `V`, `k` elements per line, `p` positions per element. If `k` = 1, the array index will also appear on the left of each element, i.e., each line `i` will have the form `i V[i]`.

  Parameters:
    `V` - array to be formated
    `n1` - index of the first element being formated
    `n2` - index of the last element being formated
    `k` - number of elements per line
    `p` - number of positions per element
  Returns:
    formated string repreenting the elements

### format

    public static String format(double[] V,
                                int n1,
                                int n2,
                                int k,
                                int p1,
                                int p2,
                                int p3)

  Similar to the previous method, but for an array of `double`'s. Gives at least `p1` positions per element, `p2` digits after the decimal point, and at least `p3` significant digits.

  Parameters:
    `V` - array to be formated
    `n1` - index of the first element being formated
    `n2` - index of the last element being formated
    `k` - number of elements per line
    `p1` - number of positions per element
    `p2` - number of digits after the decimal point
    `p3` - number of significant digits
  Returns:
    formated string repreenting the elements

### format

    public static String format(int[][] Mat,
                                int i1,
                                int i2,
                                int j1,
                                int j2,
                                int w,
                                int p,
                                int style,
                                String Name)

  Formats a submatrix of integers.

  Parameters:
    `Mat` - matrix to be formated
    `i1` - index of the first row being formated
    `i2` - index of the last row being formated
    `j1` - index of the first column being formated
    `j2` - index of the last column being formated
    `w` - number of positions of the elements
    `p` - number of digits after the decimal point of the elements
    `style` - formating style of the submatrix, being one of `MATHEMATICA`, `MATLAB`, or `PLAIN`
    `Name` - descriptive name of the submatrix
  Returns:
    formated string repreenting the submatrix

### format

    public static String format(double[][] Mat,
                                int i1,
                                int i2,
                                int j1,
                                int j2,
                                int w,
                                int p,
                                int style,
                                String Name)

  Formats the submatrix with lines `i1` <= i <= `i2` and columns `j1` <= j <= `j2` of the matrix `Mat`, using the formatting style `style`. The elements are formated in `w` positions each, with a precision of `p` digits. The string `Name` provides an identifier for the submatrix.

  To be treated by `Matlab`, this string containing the matrix must be copied to a file with extension `.m`. If the file is named `poil.m`, for example, it can be accessed by calling `poil` in `Matlab`. For `Mathematica`, if the file is named `poil`, it will be read using `« poil;`.

  Parameters:
    `Mat` - matrix to be formated
    `i1` - index of the first row being formated
    `i2` - index of the last row being formated
    `j1` - index of the first column being formated
    `j2` - index of the last column being formated
    `w` - number of positions of the elements
    `p` - number of digits after the decimal point of the elements
    `style` - formating style of the submatrix, being one of `MATHEMATICA`, `MATLAB`, or `PLAIN`
    `Name` - descriptive name of the submatrix
  Returns:
    formated string repreenting the submatrix

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.